﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MinecraftInfoLib
{
    public class ServerLoginInfo
    {

        private int entityId;
        private string levelType;
        private int serverMode;
        private int dimension;
        private byte difficulty;
        private byte maxPlayers;

        public int EntityId
        {
            get { return entityId; }
        }

        public string LevelType
        {
            get { return levelType; }
        }

        public int ServerMode
        {
            get { return serverMode; }
        }

        public int Dimension
        {
            get { return dimension; }
        }

        public byte Difficulty
        {
            get { return difficulty; }
        }

        public byte MaxPlayers
        {
            get { return maxPlayers; }
        }

        internal ServerLoginInfo(int entityId_, string levelType_, int serverMode_, int dimension_, byte difficulty_, byte maxPlayers_)
        {
            entityId = entityId_;
            levelType = levelType_;
            serverMode = serverMode_;
            dimension = dimension_;
            difficulty = difficulty_;
            maxPlayers = maxPlayers_;
        }

        public override string ToString()
        {
            StringBuilder builder = new StringBuilder();
            builder.AppendLine("Entity ID: " + entityId);
            builder.AppendLine("Level Type: " + levelType);
            builder.AppendLine("Server mode: " + serverMode);
            builder.AppendLine("Dimension: " + dimension);
            builder.AppendLine("Difficulty: " + difficulty);
            builder.AppendLine("Max players: " + maxPlayers);

            return builder.ToString();
        }

    }
}
