﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Net;
using System.Windows.Forms;

namespace MinecraftChatClient
{
    public partial class FormConnect : Form
    {

        private FormChat formChat;

        public FormConnect()
        {
            InitializeComponent();
        }

        private void btnConnect_Click(object sender, EventArgs e)
        {
            string username = tbxUsername.Text;
            string password = tbxPassword.Text;
            IPAddress ipAddress;
            ushort port;

            if (IPAddress.TryParse(tbxIP.Text, out ipAddress) && UInt16.TryParse(tbxPort.Text, out port))
            {
                formChat = new FormChat();
                formChat.Username = username;
                formChat.Password = password;
                formChat.IPAddress = ipAddress;
                formChat.Port = port;
                formChat.Show();
                formChat.Start();
                formChat.FormClosed += chat_FormClosed;

                Hide();
            }
        }

        private void chat_FormClosed(object sender, FormClosedEventArgs e)
        {
            formChat.Dispose();
            formChat = null;

            Show();
        }

        private void FormConnect_Load(object sender, EventArgs e)
        {

        }
    }
}
