﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MinecraftInfoLib.Packets
{
    internal sealed class KeepAlive : IPacket
    {

        public byte Id { get { return 0x00; } }
        public PacketFormatter.DataType[] DataTypes { get { return new PacketFormatter.DataType[] { PacketFormatter.DataType.Byte, PacketFormatter.DataType.Integer }; } }
        public int KeepAliveId { get; private set; }

        public int Feed(byte[] data)
        {
            if (data.Length < 5)
            {
                return 0;
            }
            else
            {
                KeepAliveId = (int)PacketFormatter.FromByteArray(data, DataTypes)[1];
                return 5;
            }
        }

        public byte[] GetData()
        {
            return null;
        }

    }
}
